
<html>
	<head>
		<meta charset="utf-8"/>
        
		<meta http-equiv="X-UA-Compatible" content="chrome=1"/>
        
		<title>Tala Keeper by Srikumar Subramanian</title>
        
		<link rel="canonical" href="http://talakeeper.org/index.html"/>
        
		<link href="bootstrap/css/bootstrap.min.css" rel="stylesheet"/>
        
		<style>
.page-header {
    margin-bottom: 0px;
    padding-bottom: 5px;
}
.faq h3 {
    color: darkslategrey;
}
.faq h4 {
    color: slategrey;
}
.faq p {
    color: dimgrey;
}
.faq p strong {
    color: darkslategrey;
}
.by {
    color: lightgrey;
    font-size: 11pt;
    font-weight: normal;
    text-align: right;
}
.copyright {
    font-size: 9pt;
    font-weight: normal;
    color: lightgrey;
    float: right;
}
.breadcrumb {
    background: white;
    padding: 10px;
}
.breadcrumb li a {
    color: slategrey;
}
.breadcrumb .thispage {
    color: darkslategrey;
    font-weight: bold;
}            
</style>
        
		<meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=yes"/>
        
		<script>
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
            (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

    ga('create', 'UA-37337144-2', 'sriku.org');
    ga('send', 'pageview');
</script>
    
	</head>
    
	<body style="background:white;color:black">
		<div class="container">
			<div class="page-header">
				<h1>Tala Keeper 
					<small>A programmable visual metronome</small>
                    
					<span style="float:right">
						<a href="https://itunes.apple.com/us/app/tala-keeper/id614784414?mt=8&uo=4" target="itunes_store" style="display:inline-block;overflow:hidden;background:url(http://development-linkmaker.itunes.awcloud.net//htmlResources/assets/en_us//images/web/linkmaker/badge_appstore-lrg.png) no-repeat;width:135px;height:40px;@media only screen{background-image:url(http://development-linkmaker.itunes.awcloud.net//htmlResources/assets/en_us//images/web/linkmaker/badge_appstore-lrg.svg);}"></a>
					</span>
                
				</h1>
                
				<span style="float:right; text-align:left; margin-top:8pt; width:96pt;">
					<span style="position:absolute;">
						<div class="addthis_toolbox addthis_default_style addthis_16x16_style">
							<a class="addthis_button_facebook"></a>
            
							<a class="addthis_button_twitter"></a>
            
							<a class="addthis_button_linkedin"></a>
            
							<a class="addthis_button_pinterest_share"></a>
            
							<g:plusone size="small"></g:plusone>
        
						</div>
        
						<script type="text/javascript" src="//s7.addthis.com/js/300/addthis_widget.js#pubid=ra-51aab4ac106425ba"></script>
        
						<script type="text/javascript">
    (function() {
     var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
     po.src = 'https://apis.google.com/js/plusone.js';
     var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
     })();
</script>
        
    
					</span>

				</span>
            
			</div>
            
			<div class="row">
				<svg id="slideshow" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" version="1.1" width="936" height="685">
					<defs>
						<font-face font-family="Latin Modern Sans" font-size="12" units-per-em="1000" underline-position="-148" underline-thickness="72.000008" slope="0" x-height="473.00003" cap-height="717" ascent="1134.00244" descent="-297.00061" font-weight="bold">
							<font-face-src>
								<font-face-name name="LMSans10-Bold"/>
            
							</font-face-src>
        
						</font-face>
        
						<font-face font-family="Latin Modern Sans" font-size="12" units-per-em="1000" underline-position="-154.000015" underline-thickness="61" slope="0" x-height="459" cap-height="717" ascent="1154.00244" descent="-309.00067" font-weight="500">
							<font-face-src>
								<font-face-name name="LMSans10-Regular"/>
            
							</font-face-src>
        
						</font-face>
        
						<font-face font-family="Latin Modern Sans" font-size="10" units-per-em="1000" underline-position="-154" underline-thickness="61" slope="0" x-height="458.99997" cap-height="717" ascent="1154.0023" descent="-309.00064" font-weight="500">
							<font-face-src>
								<font-face-name name="LMSans10-Regular"/>
            
							</font-face-src>
        
						</font-face>
        
						<g id="main-interface" stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1">
							<svg viewBox="53 -6 468 424" width="39pc" height="424pt">
								<title>v2.0 Main interface</title>
            
								<g>
									<title>Layer 1</title>
              
									<rect x="174.33752" y="-4.7695312" width="237.36792" height="421.21405" id="path"/>
              
									<clipPath id="clip_path">
										<use xlink:href="#path"/>
              
									</clipPath>
              
                
									<image xlink:href="images-v2.0/main-interface.svg/image2.png" width="237.36792" height="421.21405" transform="translate(173.83752 -5.2695312)"/>
               
              
									<text transform="translate(128.44531 55.296875)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="6.4473433" y="12" textLength="7.93">Q</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="13.877344" y="12" textLength="19">uiet!</tspan>
									</text>
              
									<text transform="translate(71.337524 136)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.7999997" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="12.68" y="12" textLength="83">oggle the chime on </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="8.290001" y="27" textLength="84">the primary beat at </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="2.4700012" y="42" textLength="93">the start of each cycle</tspan>
									</text>
              
									<text transform="translate(91.996094 206.10156)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.143906" y="12" textLength="6.93">P</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="11.6039066" y="12" textLength="49">ulse options</tspan>
									</text>
              
									<text transform="translate(59.59375 259.82031)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="7.80922" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="14.68922" y="12" textLength="83">oggle concatenation</tspan>
									</text>
              
									<text transform="translate(73.742188 295.82031)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="1.860001" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="8.7400007" y="12" textLength="78">oggle beat division</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="27.57" y="27" textLength="36">controls </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="6.8100014" y="42" textLength="20">(i.e. </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="26.49" y="42" textLength="6.93">K</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="33.5" y="42" textLength="19">alai/</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="52.97" y="42" textLength="6.93">N</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="60.120003" y="42" textLength="21">adai)</tspan>
									</text>
              
									<text transform="translate(357.75781 370.289)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="10.095001" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="15.725001" y="12" textLength="62">econdary beats</tspan>
									</text>
              
									<text transform="translate(233.87012 370.289)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="32.471367" y="12" textLength="6.93">R</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="39.001366" y="12" textLength="21">ests/</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="59.781364" y="12" textLength="6.93">P</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="66.241364" y="12" textLength="20">ulses</tspan>
									</text>
              
									<text transform="translate(148.20703 370.289)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="9.914999" y="12" textLength="6.93">P</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="16.375" y="12" textLength="52">rimary beats</tspan>
									</text>
              
									<text transform="translate(420.30078 230.00977)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="6.9499993" y="12" textLength="6.93">B</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="13.6899996" y="12" textLength="54">ouncing ball </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="3.7999992" y="27" textLength="64">visualizes beats</tspan>
									</text>
              
									<text transform="translate(396.64941 288)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="44.471367" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="51.351368" y="12" textLength="26">empo </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="1.811367" y="27" textLength="118">(bpm, or aksharas per min) </tspan>
									</text>
              
									<text transform="translate(427.30078 181.82031)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="2.6499999" y="12" textLength="6.93">B</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="9.3900003" y="12" textLength="45">ounce area</tspan>
									</text>
              
									<text transform="translate(416.80078 118.63086)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="11.494999" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="17.125" y="12" textLength="27">earch/</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="44.474998" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="50.105" y="12" textLength="20">tore </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="2.5699997" y="27" textLength="73">patterns by name</tspan>
									</text>
              
									<text transform="translate(419.80078 47.796875)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="12.609999" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="18.239998" y="12" textLength="22">how/</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="40.309998" y="12" textLength="6.93">H</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="47.46" y="12" textLength="15">ide </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="1.8799973" y="27" textLength="68">memory buttons</tspan>
									</text>
              
									<text transform="translate(77.5 95.89844)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.2099996" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="12.09" y="12" textLength="78">oggle beat counter</tspan>
									</text>
              
									<line x1="172.5" y1="63.52011" x2="223.08008" y2="97.582016" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="177.5" y1="104.121674" x2="225.62695" y2="114.251945" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="174.33752" y1="160.5341" x2="223.00977" y2="132.45506" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="163.00391" y1="214.3248" x2="224.0332" y2="150.09959" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="170.24219" y1="268.04355" x2="225.73242" y2="168.9785" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="166.74219" y1="320.35443" x2="224.35938" y2="187.08592" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="415.19592" y1="63.54151" x2="360.42776" y2="95.871086" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="412.22482" y1="134.3755" x2="359.50781" y2="114.667953" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="422.62363" y1="189.71745" x2="333.0373" y2="159.02124" marker-end="url(#FilledCenterBall_Marker)" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="415.6911" y1="245.75441" x2="262.0" y2="201.0" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="431.91797" y1="295.50003" x2="302.99414" y2="241.22655" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="187.20703" y1="369.789" x2="249.79103" y2="275.53906" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="293.02148" y1="369.789" x2="293.02148" y2="275.53906" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="401.75781" y1="369.789" x2="335.6914" y2="277.05078" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<text transform="translate(173.60156 391.09998)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="21.609924" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="28.489925" y="12" textLength="189">ap out the bounce sequence using these pads</tspan>
									</text>
            
								</g>
            
							</svg>
          
						</g>
          
						<g id="kalai-nadai" stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1">
							<svg viewBox="43 250 440 424" width="440pt" height="424pt">
								<title>v2.0 Kalai/Nadai</title>
        
								<g>
									<title>Layer 1</title>
            
									<rect x="145" y="251.51172" width="237.36792" height="421.21405" id="path"/>
            
									<clipPath id="clip_path">
										<use xlink:href="#path"/>
            
									</clipPath>
            
                
									<image xlink:href="images-v2.0/kalai-nadai.svg/image5.png" width="237.36792" height="421.21405" transform="translate(144.5 251.01172)"/>
                
            
									<text transform="translate(56.097656 376.59998)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="23.074999" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="28.704998" y="12" textLength="42">ubdivision</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.9300003" y="27" textLength="81">programming mode</tspan>
            
									</text>
            
									<text transform="translate(377.36719 361)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="11.220001" y="12" textLength="6.93">C</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="17.68" y="12" textLength="73">ount divisions by </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="4.1599998" y="27" textLength="94">tapping the pulse pad </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="13.93" y="42" textLength="78">and end with the  </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="14.740002" y="57" textLength="70">× or ÷ symbols.</tspan>
									</text>
            
									<text transform="translate(49.597656 453.83203)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="2.3549998" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="9.2349997" y="12" textLength="98">o interpolate a pattern </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="1.1100006" y="27" textLength="60">by a factor of </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="61.49" y="27" textLength="6.93">N</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="68.64" y="27" textLength="40">, tap the </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.9749985" y="42" textLength="43">pulse pad </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="48.855003" y="42" textLength="6.93">N</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="56.005005" y="42" textLength="47">times and </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="28" y="57" textLength="50">end with ×.</tspan>
									</text>
            
									<text transform="translate(370.01172 453.83203)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.4100003" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="12.290001" y="12" textLength="92">o subdivide a pattern </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="1.1100006" y="27" textLength="60">by a factor of </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="61.49" y="27" textLength="6.93">N</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="68.64" y="27" textLength="40">, tap the </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.9749985" y="42" textLength="43">pulse pad </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="48.855003" y="42" textLength="6.93">N</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="56.005005" y="42" textLength="47">times and </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="28" y="57" textLength="53">end with ÷. </tspan>
									</text>
            
									<line x1="148.24805" y1="399.1" x2="193.69141" y2="442.50583" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
            
									<line x1="160.59766" y1="486.54416" x2="212.43555" y2="526.9453" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
            
									<line x1="365.57068" y1="485.32132" x2="312.33984" y2="527.7715" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
            
									<line x1="372.89243" y1="392.4893" x2="263.34766" y2="532.6504" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
        
								</g>
        
							</svg>

						</g>
        
						<g id="memory-panel" stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1">
							<svg viewBox="30 232 338 425" width="338pt" height="425pt">
								<title>v2.0 Memory panel</title>
            
								<g>
									<title>Layer 1</title>
              
									<text transform="translate(268.50293 348.5)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="1.00284994" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="6.63285" y="12" textLength="88">ummary of currently </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="14.872852" y="27" textLength="63">playing pattern</tspan>
									</text>
              
									<text transform="translate(268.50293 395.01099)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="15.642851" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="21.27285" y="12" textLength="59">elect memory </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.14785" y="27" textLength="86">operation and tap a </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="14.21785" y="42" textLength="64">memory button</tspan>
									</text>
              
									<text transform="translate(283.42578 456.52197)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="2.9999983" y="12" textLength="6.93">U</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="9.949999" y="12" textLength="50">sed memory</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="15.094999" y="27" textLength="33">location</tspan>
									</text>
              
									<text transform="translate(280.92578 509.02197)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="2.0099986" y="12" textLength="5.93">E</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="8.049999" y="12" textLength="57">mpty memory</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="17.594999" y="27" textLength="33">location</tspan>
									</text>
              
									<rect x="31.765625" y="233.89062" width="237.36792" height="421.21405" id="path"/>
              
									<clipPath id="clip_path">
										<use xlink:href="#path"/>
              
									</clipPath>
              
                
									<image xlink:href="images-v2.0/memory-panel.svg/image3.png" width="237.36792" height="421.21405" transform="translate(31.265625 233.39062)"/>
                
              
									<line x1="263.9985" y1="364.24463" x2="190.02734" y2="364.9961" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="263.9985" y1="418.62793" x2="189.24805" y2="381.8164" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="278.77756" y1="472.2666" x2="140.47266" y2="403.4414" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="276.30164" y1="524.7666" x2="179.99023" y2="444.49765" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<text transform="translate(268.50293 301.98901)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="24.057852" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="29.687851" y="12" textLength="39">how/hide</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="8.817852" y="27" textLength="75">the memory panel</tspan>
									</text>
              
									<line x1="263.9985" y1="317.73364" x2="216.54492" y2="333.2207" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
            
								</g>
            
							</svg>
          
						</g>
        
						<g id="search-tala" stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1">
							<svg viewBox="56 175 348 424" width="29pc" height="424pt">
								<title>v2.0 Search</title>
            
								<g>
									<title>Layer 1</title>
              
									<text transform="translate(307.5 228)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.82" y="12" textLength="6.93">T</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="12.700001" y="12" textLength="70">ap first entry to </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="7.3250008" y="27" textLength="70">store the current</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.5099983" y="42" textLength="73">pattern under the</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="11.629999" y="57" textLength="61">searched term.</tspan>
									</text>
              
									<text transform="translate(307 317)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="3.6250002" y="12" textLength="6.93">N</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="10.7750006" y="12" textLength="67">ame containing </tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="14.574999" y="27" textLength="49">search term</tspan>
									</text>
              
									<text transform="translate(303.75 378.94687)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="6.0000005" y="12" textLength="6.93">P</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="12.460001" y="12" textLength="66">attern summary</tspan>
									</text>
              
									<text transform="translate(301.52734 433.5)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="5.2926564" y="12" textLength="5.93">S</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="10.922657" y="12" textLength="81">wipe item to delete</tspan>
									</text>
              
									<rect x="57.5" y="176.33984" width="237.36792" height="421.21405" id="path"/>
              
									<clipPath id="clip_path">
										<use xlink:href="#path"/>
              
									</clipPath>
              
                
									<image xlink:href="images-v2.0/search-tala.svg/image4.png" width="237.36792" height="421.21405" transform="translate(57 175.83984)"/>
                
              
									<line x1="302.95535" y1="259.48929" x2="172.02345" y2="294.25195" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="302.42404" y1="332.74463" x2="177.01173" y2="331.95117" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="299.20535" y1="386.844" x2="169.71875" y2="342.71484" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
              
									<line x1="297.04028" y1="441.39716" x2="185.459" y2="357.5625" stroke="#66f" stroke-linecap="round" stroke-linejoin="round" stroke-width="1"/>
            
								</g>
            
							</svg>
            
						</g>
            
        
						<g id="device-still" stroke="none" stroke-opacity="1" stroke-dasharray="none" fill="none" fill-opacity="1">
							<svg viewBox="136 194 382 425" width="382pt" height="425pt">
								<title>v2.0 Device still</title>
        
								<g>
									<title>Layer 1</title>
            
									<rect x="137" y="195.99295" width="237.36792" height="421.21408" id="path"/>
            
									<clipPath id="clip_path">
										<use xlink:href="#path"/>
            
									</clipPath>
            
                
									<image xlink:href="images-v2.0/device-still.svg/image7.png" width="237.36792" height="421.21405" transform="translate(136.5 195.49295)"/>
                
            
									<text transform="translate(388.79688 361.1875)" fill="#474747">
										<tspan font-family="Latin Modern Sans" font-size="12" font-weight="bold" fill="#474747" x="33.507423" y="14" textLength="7.916">Z</tspan>
										<tspan font-family="Latin Modern Sans" font-size="12" font-weight="bold" fill="#474747" x="41.655422" y="14" textLength="48">en mode</tspan>
										<tspan font-family="Latin Modern Sans" font-size="12" font-weight="500" fill="#474747" x="88.79143" y="14" textLength="4"></tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="14.162422" y="30" textLength="6.93">P</tspan>
										<tspan font-family="Latin Modern Sans" font-size="10" font-weight="500" fill="#474747" x="20.622421" y="30" textLength="88">ut the device to rest.</tspan>
									</text>
        
								</g>
        
							</svg>
        
						</g>
        
					</defs>

        
					<text id="progress" x="20" y="20" style="font-size:9pt;fill:lightgrey">Loading slides ...</text>
        
        
					<use id="current-slide" xlink:href="#main-interface" transform="translate(0 -20) scale(1.25)"></use>
        
					<text id="progress" x="525" y="584" style="font-size:9pt;fill:lightgrey">v3.0</text>
    
				</svg>

    
				<script>
        ;(function (ENABLE) {
            if (!ENABLE) { return; }
            var currentSlide = 0;
            var slides = [
            { name: 'main-interface',   dx: 0,      dy: 0 },
            { name: 'kalai-nadai',      dx: 32.3,     dy: -0.3 },
            { name: 'memory-panel',     dx: 199.3,    dy: -1 },
            { name: 'search-tala',      dx: 199.8,    dy: 0 },
            { name: 'device-still',     dx: 200.6,    dy: -1 }
            ];

            function progress(n) {
                e('progress').textContent = 'Loaded ' + n + ' of ' + slides.length + ' slides';
                console.log(e('progress').textContent);
            }

            // Cache images. For some reason, it looks like images embedded in SVG are not cached!
            var numSlidesLoaded = 0;

            slides.forEach(function (slide) {
                var img = new Image();
                img.onload = function () {
                    ++numSlidesLoaded;
                    if (numSlidesLoaded < slides.length) {
                        progress(numSlidesLoaded);
                    } else {
                        start();
                    }
                };
                img.src = document.querySelector('#' + slide.name + ' image').getAttributeNS('http://www.w3.org/1999/xlink', 'href');
                slide.domImage = img;
            });

            var scale = 1.25, xoffset = 0, yoffset = -20;
            function e(id) {
                return document.getElementById(id);
            }

            function stepTo(n) {
                currentSlide = n;
                var cs = e('current-slide');
                var s = slides[currentSlide];
                cs.setAttributeNS('http://www.w3.org/1999/xlink', 'href', '#'+s.name);
                var tx = 'translate(' + (s.dx + xoffset) + ' ' + (s.dy + yoffset) + ')';
                cs.setAttribute('transform', tx + ' scale(' + scale + ') ');
            }

            function stepBy(n) {
                stepTo((currentSlide + slides.length + n) % slides.length);
            }

            var loopTimer, waitTimer;

            function startLoop() {
                if (!loopTimer) {
                    loopTimer = setInterval(function () { stepBy(1); }, 6000);
                }
                waitTimer = null;
            }

            function delayLoopTimer() {
                clearInterval(loopTimer);
                clearTimeout(waitTimer);
                loopTimer = null;
                waitTimer = setTimeout(startLoop, 2000);
            }

            function start() {
                if (numSlidesLoaded === slides.length && !loopTimer) {
                    e('slideshow').onmousemove = function () { delayLoopTimer(); };
                    e('slideshow').onclick = function () { stepBy(1); delayLoopTimer(); };
                    e('progress').textContent = 'Started slideshow';
                    setTimeout(function () { e('progress').textContent = ''; }, 3000);

                    startLoop();
                }
            }

            window.onload = function () { 
                console.log("window loaded"); 
                start();
            };
        }(true));
    </script>

			</div>

            
			<div class="row">
				<span class="span8">
					<ul class="breadcrumb">
						<li>
							<span class="thispage">A quick guide</span>
						</li>
						<li>
							<span class="divider">|</span>
						</li>
						<li>
							<a href="tk3">Player</a>
						</li>
						<li>
							<span class="divider">|</span>
						</li>
						<li>
							<a href="talas.html">Talas</a>
						</li>
						<li>
							<span class="divider">|</span>
						</li>
						<li>
							<a href="notes.html">Notes</a>
						</li>
						<li>
							<span class="divider">|</span>
						</li>
                    
						<li>
							<a href="/community">Community</a>
						</li>
                
					</ul>
            
				</span>
            
				<span class="span4 copyright">© 2013 and Tala Keeper™ 
					<a href="https://plus.google.com/102694714835839603248?rel=author">Srikumar Subramanian</a>
				</span>
        
			</div>
        
		</div>
    
	</body>

</html>